Bug 81828 - [BDW Bisected]Ogles3conform GL3Tests_packed_pixels_packed_pixels_pbo.test fails
Summary: [BDW Bisected]Ogles3conform GL3Tests_packed_pixels_packed_pixels_pbo.test fails
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high normal
Assignee: Neil Roberts
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-28 05:33 UTC by lu hua
Modified: 2014-08-06 03:21 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
output (12.33 KB, text/plain)
2014-07-28 05:33 UTC, lu hua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-07-28 05:33:31 UTC
Created attachment 103573 [details]
output

System Environment:
--------------------------
Platform:         BDW
Libdrm:		(master)libdrm-2.4.55
Mesa:		(master)74e100affc0ac1bced4787067274579d8f0d137f
Xserver:	(master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel:(master)2.99.914-5-gcac1548a9c48db4707fc3c885b1ea568ae2fbc54
Libva:		(master)3fddb7f937df4e0e15391bd65ae3c7552ea5b3d7
Libva_intel_driver:(master)82d2ed8d7da3619c0ea467c06604f5626fc0b901
Kernel:  (drm-intel-nightly)e967a525207bd40ab446e2f809907039f88e66f3

Bug detailed description:
-------------------------
It fails on BDW with Mesa master branch, works well on 10.2 branch.
GL3Tests_packed_pixels_packed_pixels_pixelstore.test also fails.

Bisect shows:05b52efbc977311c96ba31ac5fa2c95fe525d85e is the first bad commit.
commit 05b52efbc977311c96ba31ac5fa2c95fe525d85e
Author:     Neil Roberts <neil@linux.intel.com>
AuthorDate: Fri Jul 4 15:37:28 2014 +0100
Commit:     Neil Roberts <neil@linux.intel.com>
CommitDate: Wed Jul 23 11:50:38 2014 +0100

    meta: Add a state flag for the GL_DITHER

    The Meta implementation of glClearTexSubImage is going to want to ensure tha
    dithering is disabled so that it can get a consistent color across the whole
    texture when clearing. This adds a state flag to easily save it and set it t
    the default value when performing meta operations.

    Reviewed-by: Topi Pohjolainen <topi.pohjolainen@intel.com>

Reproduce steps:
---------------------------- 
1.  xinit
2.  ./GTF -width=64 -height=64 -run=GL3Tests/packed_pixels/packed_pixels_pbo.test
Comment 1 meng 2014-07-31 04:55:44 UTC
In the updated gles3 conformance tests, the issue could be reproduced.

cmd
-----
./glcts --deqp-case=ES3-CTS.gtf.GL3Tests.packed_pixels.packed_pixels_pbo --deqp-surface-width=64 --deqp-surface-height=64 --deqp-base-seed=1 --deqp-surface-type=window --deqp-gl-config-id=14
Comment 2 Topi Pohjolainen 2014-07-31 13:23:11 UTC
I'm able to reproduce on bdw, and confirmed the bisect.
Comment 3 Topi Pohjolainen 2014-08-01 17:39:08 UTC
Patch sent for review, it may require little discussion and revision.
Comment 4 Neil Roberts 2014-08-05 13:59:30 UTC
I've pushed this patch which I think should fix it. I don't have access to a BDW machine to test it though.

http://cgit.freedesktop.org/mesa/mesa/commit/?id=816dbdb106dd1955d7db9008479
Comment 5 lu hua 2014-08-06 03:21:02 UTC
(In reply to comment #4)
> I've pushed this patch which I think should fix it. I don't have access to a
> BDW machine to test it though.
> 
> http://cgit.freedesktop.org/mesa/mesa/commit/?id=816dbdb106dd1955d7db9008479

Verified.Fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.